summaryrefslogtreecommitdiff
path: root/configs/releng/root-image/etc/systemd
diff options
context:
space:
mode:
authorEsteban Carnevale <alfplayer@mailoo.org>2013-09-02 20:03:39 -0300
committerEsteban Carnevale <alfplayer@mailoo.org>2013-09-02 20:03:39 -0300
commita5139a6e4ed897d59c900d8ea991c60a19d01862 (patch)
treef82a2c95fe0f34ddf5e7e4d88bfa33548e8269a8 /configs/releng/root-image/etc/systemd
parent2ad1f4471698f00cc3985437f461e2e17aeccfa3 (diff)
parent491b627eb4b6af909ba8e19751378672930328eb (diff)
Merge branch 'master' of archiso into helper/rebrandhelper/rebrand
Conflicts: Makefile configs/releng/build.sh configs/releng/mkinitcpio.conf configs/releng/root-image/root/customize_root_image.sh configs/releng/syslinux/parabolaiso_pxe32.cfg configs/releng/syslinux/parabolaiso_pxe64.cfg configs/releng/syslinux/parabolaiso_sys32.cfg configs/releng/syslinux/parabolaiso_sys64.cfg docs/README.build parabolaiso/mkparabolaiso
Diffstat (limited to 'configs/releng/root-image/etc/systemd')
-rwxr-xr-xconfigs/releng/root-image/etc/systemd/scripts/choose-mirror26
-rw-r--r--configs/releng/root-image/etc/systemd/system/choose-mirror.service10
-rw-r--r--configs/releng/root-image/etc/systemd/system/getty@tty1.service.d/autologin.conf3
3 files changed, 39 insertions, 0 deletions
diff --git a/configs/releng/root-image/etc/systemd/scripts/choose-mirror b/configs/releng/root-image/etc/systemd/scripts/choose-mirror
new file mode 100755
index 0000000..13c9f69
--- /dev/null
+++ b/configs/releng/root-image/etc/systemd/scripts/choose-mirror
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+get_cmdline() {
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ $1=*) echo "${param##*=}";
+ return 0
+ ;;
+ esac
+ done
+}
+
+mirror=$(get_cmdline mirror)
+[[ $mirror = auto ]] && mirror=$(get_cmdline parabolaiso_http_srv)
+[[ $mirror ]] || exit 0
+
+mv /etc/pacman.d/mirrorlist /etc/pacman.d/mirrorlist.orig
+cat >/etc/pacman.d/mirrorlist << EOF
+#
+# Parabola GNU/Linux-libre repository mirrorlist
+# Generated by parabolaiso
+#
+
+Server = ${mirror%%/}/\$repo/os/\$arch
+EOF
diff --git a/configs/releng/root-image/etc/systemd/system/choose-mirror.service b/configs/releng/root-image/etc/systemd/system/choose-mirror.service
new file mode 100644
index 0000000..1e4d771
--- /dev/null
+++ b/configs/releng/root-image/etc/systemd/system/choose-mirror.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=Choose mirror from the kernel command line
+ConditionKernelCommandLine=mirror
+
+[Service]
+Type=oneshot
+ExecStart=/etc/systemd/scripts/choose-mirror
+
+[Install]
+WantedBy=multi-user.target
diff --git a/configs/releng/root-image/etc/systemd/system/getty@tty1.service.d/autologin.conf b/configs/releng/root-image/etc/systemd/system/getty@tty1.service.d/autologin.conf
new file mode 100644
index 0000000..d1d8474
--- /dev/null
+++ b/configs/releng/root-image/etc/systemd/system/getty@tty1.service.d/autologin.conf
@@ -0,0 +1,3 @@
+[Service]
+ExecStart=
+ExecStart=-/sbin/agetty --autologin root --noclear %I 38400 linux